Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: networks.vehicles.makeUnavailable
컬렉션을 사용해 정리하기
내 환경설정을 기준으로 콘텐츠를 저장하고 분류하세요.
HTTP 요청
POST https://middlemileoptimization.googleapis.com/v1/{name=networks/*/vehicles/*}:makeUnavailable
URL은 gRPC 트랜스코딩 문법을 사용합니다.
경로 매개변수
| 매개변수 |
name |
string
필수 항목입니다. 사용할 수 없는 차량의 이름입니다. 형식: 'networks/{network}/vehicles/{vehicle}'
|
요청 본문
요청 본문에는 다음과 같은 구조의 데이터가 포함됩니다.
| JSON 표현 |
{
"unavailabilityStarts": [
{
object (DateTime)
}
]
} |
| 필드 |
unavailabilityStarts[] |
object (DateTime)
필수 항목입니다. 이용 불가 상태가 시작되는 기간입니다. 미래의 특정 시점이어야 합니다. 이 필드가 없으면 메시지를 수신할 때 비가용성이 시작됩니다.
|
응답 본문
vehicles.makeUnavailable 메서드의 응답 메시지입니다.
성공할 경우 응답 본문에 다음 구조의 데이터가 포함됩니다.
| JSON 표현 |
{
"name": string,
"path": [
{
object (Path)
}
]
} |
| 필드 |
name |
string
예약 불가가 업데이트된 차량의 이름입니다. 형식: 'networks/{network}/vehicles/{vehicle}'
|
path[] |
object (Path)
업데이트된 경로입니다.
|
달리 명시되지 않는 한 이 페이지의 콘텐츠에는 Creative Commons Attribution 4.0 라이선스에 따라 라이선스가 부여되며, 코드 샘플에는 Apache 2.0 라이선스에 따라 라이선스가 부여됩니다. 자세한 내용은 Google Developers 사이트 정책을 참조하세요. 자바는 Oracle 및/또는 Oracle 계열사의 등록 상표입니다.
최종 업데이트: 2024-08-23(UTC)
[[["이해하기 쉬움","easyToUnderstand","thumb-up"],["문제가 해결됨","solvedMyProblem","thumb-up"],["기타","otherUp","thumb-up"]],[["필요한 정보가 없음","missingTheInformationINeed","thumb-down"],["너무 복잡함/단계 수가 너무 많음","tooComplicatedTooManySteps","thumb-down"],["오래됨","outOfDate","thumb-down"],["번역 문제","translationIssue","thumb-down"],["샘플/코드 문제","samplesCodeIssue","thumb-down"],["기타","otherDown","thumb-down"]],["최종 업데이트: 2024-08-23(UTC)"],[],["This outlines the process to mark a vehicle as unavailable via an HTTP POST request to a specific URL endpoint. The request requires the vehicle's name in the URL path and includes a body specifying when the unavailability starts, as a DateTime object array. If successful, the response includes the updated vehicle's name and the updated paths. If the unavailability start is not specified in the request, it begins at the message reception.\n"]]